Subject: Re: [PATCH v1] replay.c: support replaying root commits

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2026 11:28:59 -0700

Tian Yuchen <[email-masked]> writes:

> 'git replay' does not support replaying root commits, as indicated by
> the FIXME comment. If a user attempts to replay a root commit, the 'die()'
> in 'replay_revisions()' will be called.

Please be aware of your surroundings.  I think there are multiple
topics that work on this file and among them there is a topic to
address the same issue, if I am not mistaken.

The list archive is your friend, for example, you can try these:

    https://lore.kernel.org/git/?q=replay+root
    https://lore.kernel.org/git/?q=dfn%3Areplay.c+%22root+commit%22

Thanks.